size = 32

sW = 600
sH = 600

maxX = math.ceil(sW/size)
maxY = math.ceil(sH/size)

print(maxX, " ", maxY)

function isCol(x1, y1, x2, y2)
	x = math.ceil(x2/size)
	y = math.ceil(y2/size)
	if x1 == x and y1 == y then
		return true
	end
	return false
end

function generateLevel()
	level = {}
	
	for x=1, maxX-2 do
		level[x] = {}
		for y=1, maxY-2 do
			level[x][y] = 1
		end
	end
	
	for x=1, maxX-2 do
		for y=1, maxY-2 do
			if x==1 or x==maxX-2 or y==1 or y==maxY-2 then
				level[x][y] = 3
			end
		end
	end
end

function love.load()
	love.window.setTitle("Green-World v0.1")
	love.window.setMode(sW,sH)
	
	--VARIABLES
	y=0
	x=0
	sx = 7*size
	sy = 7*size
	canMove = true
	
	--LOAD IMAGES
	player = love.graphics.newImage("img/entity/character.png")
	
	grass = love.graphics.newImage("img/block/grass.png")
	ladder = love.graphics.newImage("img/block/ladder.png")
	wall = love.graphics.newImage("img/block/wall.png")
	
	generateLevel()
end

function love.update(dt)
end

function love.draw()
	for x=1, maxX-2 do
		for y=1, maxY-2 do
			if level[x][y] == 1 then
				love.graphics.draw(grass, x*size, y*size)
			elseif level[x][y] == 2 then
				love.graphics.draw(ladder, x*size, y*size)
			elseif level[x][y] == 3 then
				love.graphics.draw(wall, x*size, y*size)
			end
			
			if isCol(x, y, sx, sy) and level[x][y] <= 1 then
				canMove = false
			else
				canMove = true
			end
		end
	end
	love.graphics.draw(player, sx, sy)
end



function love.keypressed(key)
	if canMove then
		if key == "d" then
			sx=sx+size
		elseif key == "a" then
			sx=sx-size
		elseif key == "s" then
			sy=sy+size
		elseif key == "w" then
			sy=sy-size
		end
	end
end

function love.mousepressed(key)
end

